com.r3corda.contracts.asset / Obligation / Terms / <init>

# <init>

`Terms(acceptableContracts: NonEmptySet<SecureHash>, acceptableIssuedProducts: NonEmptySet<Issued<P>>, dueBefore: Instant, timeTolerance: Duration = Duration.ofSeconds(30))`

Subset of state, containing the elements specified when issuing a new settlement contract.

### Parameters

`P` - the product the obligation is for payment of.